Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039704
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-11-27 17:392019-01-07 15:37
ReporteravicenteView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039704: Modify the payment description for a gift card reimbursement

DescriptionFor the payment created during the reimbursement of a gift card, modify the description to include info about the payment method used for the reimbursement.

Current description is 'GL Item: G/L Gift Card', the new one should be for instance 'gl item: solde client. Reimburse payment method Cash'
Steps To Reproduce1. Login in the terminal https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=YS-11 [^] [^]
2. Open the menu option 'Create gift certificate' and create a gift card certificate of type Refund the difference.
3. Open the menu option 'Gift/Credit note' and open the created gift card.
4. In the Gift Certificate pop up click on the 'Return' button. click button 'Apply'.
5. In the pop up Current balance, enter a partial amount or a total amount.
6. Select a payment method to reimburse.
7. In the Gift Cards pop up click on 'Ok' button.
8. Click on the 'Done' button.
9. Log into backend.
10. Check that the payment created for the cancellation (Gift Card Instance || Gift Card Transaction || Payment) has the description 'GL Item: G/L Gift Card'. Please, change this description to include info about the payment method used for the reimbusement, for instance 'gl item: solde client. Reimburse payment method Cash'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039780 closedranjith_qualiantech_com Giftcards are not consumed in a reimburse until the related cash management is finally processed in the server 

-  Notes
(0108262)
hgbot (developer)
2018-12-05 08:30

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 39d5f5aea36dc532633ab6f6aa17a3f4ae1bc597
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Dec 05 13:00:19 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/39d5f5aea36dc532633ab6f6aa17a3f4ae1bc597 [^]

Related to issue 39704 : Updated Gift Card transaction payment description

* If gift card category is reimbursable, then Gift Card transaction payment description with reimbursed payment method

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/giftcards/process/GiftCardGLItemUtils.java
---
(0108837)
guilleaer (developer)
2019-01-04 15:51

Not working fine for credit notes
(0108840)
hgbot (developer)
2019-01-07 09:55

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 74f6566bd45727d12a952a06de0fdf4f20877103
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jan 07 14:25:35 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/74f6566bd45727d12a952a06de0fdf4f20877103 [^]

Related to issue 39704 : Updated Gift Card transaction payment description

* If gift card type is reimbursable or gift card instance is Credit Note,
  then Gift Card transaction payment description should be updated with reimbursed payment method

---
M src/org/openbravo/retail/giftcards/process/GiftCardGLItemUtils.java
---

- Issue History
Date Modified Username Field Change
2018-11-27 17:39 avicente New Issue
2018-11-27 17:39 avicente Assigned To => Retail
2018-11-27 17:39 avicente Triggers an Emergency Pack => No
2018-11-28 07:55 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-11-28 07:55 ranjith_qualiantech_com Status new => scheduled
2018-12-05 08:30 hgbot Checkin
2018-12-05 08:30 hgbot Note Added: 0108262
2018-12-06 06:54 ranjith_qualiantech_com Status scheduled => resolved
2018-12-06 06:54 ranjith_qualiantech_com Resolution open => fixed
2018-12-07 11:46 marvintm Review Assigned To => marvintm
2018-12-07 11:46 marvintm Status resolved => closed
2018-12-07 11:46 marvintm Fixed in Version => RR19Q1
2018-12-12 13:35 ranjith_qualiantech_com Relationship added related to 0039780
2019-01-04 15:51 guilleaer Note Added: 0108837
2019-01-04 15:51 guilleaer Status closed => new
2019-01-04 15:51 guilleaer Resolution fixed => open
2019-01-04 15:51 guilleaer Fixed in Version RR19Q1 =>
2019-01-04 15:51 guilleaer Status new => scheduled
2019-01-07 09:55 hgbot Checkin
2019-01-07 09:55 hgbot Note Added: 0108840
2019-01-07 12:08 ranjith_qualiantech_com Status scheduled => resolved
2019-01-07 12:08 ranjith_qualiantech_com Resolution open => fixed
2019-01-07 15:37 guilleaer Review Assigned To marvintm => guilleaer
2019-01-07 15:37 guilleaer Status resolved => closed
2019-01-07 15:37 guilleaer Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker